%define gitshort 7031fbe1

Name:		vboot-kernel-utils
Version:	20220201
Release:	1.git%{gitshort}%{?dist}
Summary:	Chrome OS verified boot utils required to sign kernels
License:	BSD
URL:		https://chromium.googlesource.com/chromiumos/platform/vboot_reference
ExclusiveArch:	%{arm} aarch64 %{ix86} x86_64

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone https://git.chromium.org/git/chromiumos/platform/vboot_reference.git
#  cd vboot_reference/
#  git archive --format=tar --prefix=vboot-kernel-utils-7031fbe1/ 7031fbe1 | xz > vboot-kernel-utils-7031fbe1.tar.xz
Source0:	%{name}-%{gitshort}.tar.xz

BuildRequires:  make
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	glibc-static
BuildRequires:	openssl-devel
BuildRequires:	trousers-devel
BuildRequires:	libyaml-devel
BuildRequires:	xz-devel
BuildRequires:	libuuid-devel
BuildRequires:	flashrom-devel

%description
This package provides the futility program (including the vbutil_kernel
program required to sign custom kernels in order to get them booted by
Chrome OS devices (i.e. Chromebooks)).

%prep
%autosetup -p1 -n %{name}-%{gitshort}

%build

%ifarch %{arm} aarch64
%global ARCH arm
%endif

%ifarch x86_64
%global ARCH x86_64
%endif

%ifarch i686
%global ARCH i386
%endif


make V=1 ARCH=%{ARCH} COMMON_FLAGS="$RPM_OPT_FLAGS"


%install
make install V=1 DESTDIR=%{buildroot} ARCH=%{ARCH} COMMON_FLAGS="$RPM_OPT_FLAGS"
mkdir -p %{buildroot}/usr/share/vboot/
cp -rf tests/devkeys %{buildroot}/usr/share/vboot/

# Remove unneeded build artifacts
rm -rf %{buildroot}/usr/lib/pkgconfig
rm -rf %{buildroot}/usr/default/
rm -rf %{buildroot}/etc/default/
rm -rf %{buildroot}/usr/share/vboot/bin/
rm -f %{buildroot}/usr/bin/chromeos-tpm-recovery
rm -f %{buildroot}/usr/bin/crossystem
rm -f %{buildroot}/usr/bin/dev_debug_vboot
rm -f %{buildroot}/usr/bin/dumpRSAPublicKey
rm -f %{buildroot}/usr/bin/dump_fmap
rm -f %{buildroot}/usr/bin/dump_kernel_config
rm -f %{buildroot}/usr/bin/enable_dev_usb_boot
rm -f %{buildroot}/usr/bin/gbb_utility
rm -f %{buildroot}/usr/bin/tpm-nvsize
rm -f %{buildroot}/usr/bin/tpmc
rm -f %{buildroot}/usr/bin/vbutil_firmware
rm -f %{buildroot}/usr/bin/vbutil_key
rm -f %{buildroot}/usr/bin/vbutil_keyblock
rm -f %{buildroot}/usr/lib/libvboot_host.a

%files
%license LICENSE
%doc README
%{_bindir}/futility
%{_bindir}/vbutil_kernel
%{_bindir}/cgpt
/usr/share/vboot/devkeys/

%changelog
* Wed Feb 09 2022 Enric Balletbo i Serra <eballetbo@redhat.com> 20220201-1.git7031fbe1
- Initial version based on vboot-utils by Peter Robinson
